Instagram Popular Search API

Explore an Instagram topic and its curated posts. Use this when you want the Popular page's generated description, sources, suggested terms, media count, and paginated posts.

1 creditper request
GET
/v1/instagram/search/popular
curl "https://api.scrapecreators.com/v1/instagram/search/popular" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 99,
  "credits_charged": 1,
  "query": "basketball",
  "title": "Basketball",
  "total_media_count": 8800000,
  "description": {
    "plain_text": "James Naismith invented basketball in December 1891 in Springfield, Massachusetts as an indoor winter activity.",
    "source_uris": [
      "https://en.wikipedia.org/wiki/Outline_of_basketball"
    ],
    "linked_terms": []
  },
  "suggested_terms": [
    "the tallest basketball player",
    "thats my man basketball",
    "jason williams basketball player"
  ],
  "posts": [
    {
      "id": "POLARIS_3892957342260916992",
      "shortcode": "DYGkBO3NfMA",
      "url": "https://www.instagram.com/reel/DYGkBO3NfMA/",
      "type": "reel",
      "caption": "😂😂 #meta #pov #hooper #basketball",
      "display_url": "https://instagram.example.com/basketball-cover.jpg",
      "video_url": "https://instagram.example.com/basketball-video.mp4",
      "play_count": 11993988,
      "owner": {
        "id": "17841409679275910",
        "username": "lukaceo",
        "is_verified": false,
        "profile_pic_url": "https://instagram.example.com/lukaceo-profile.jpg"
      }
    }
  ],
  "cursor": "opaque-cursor-from-response",
  "has_more": true
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

The Popular topic to search for.

Example:
basketball
cursor
string

The opaque cursor returned by the previous response. Use it with the same query to fetch the next page of posts.

Example:
opaque-cursor-from-response